Skip to main content

Authentication

Authenticate your API requests using a bearer access token. Obtain the token using your email, company code, and API key, then include it in the Authorization header when making subsequent API requests.

Obtain Access Token

Obtains a bearer access token required to access the PowerUp Banking APIs.

{{baseUrl}}/hashdt/api/v1/auth/token

Description

This API is used to exchange the user's email, company code, and API key for a JWT bearer token valid for 30 minutes. This endpoint does not require an existing bearer token. After receiving the token, include it in the Authorization: Bearer <AccessToken> header for subsequent API requests.

📩 Request Headers

x-api-key string required

Shared X-API key.

x-company-id string required

Shared Company Code.

x-request-id string required

Idempotency key for request tracking

x-user-id string required

User identification key

Content-Type string required

Must be application/json

Request Example

curl --location --request POST \
--url '{{baseUrl}}/hashdt/api/v1/auth/token' \
--header 'x-api-key: {{Shared X-API key}}' \
--header 'x-company-id: {{Shared Company Code}}' \
--header 'x-request-id: {{IdempotencyKey}}' \
--header 'x-user-id: {{UserID}}' \
--header 'Content-Type: application/json'

Response Example

{
"code": 200,
"status": "SUCCESS",
"message": "Success",
"data": {
"token": "eyJhbGciOiJIUzI1NiJ9.eyJjbGllbnRfa2V5IjoiWk9RUTIwMjUwNzA1IiwiZW1haWwiOiJ0ZXN0MDFAeW9wbWFpbC5jb20iLCJ1c2VyX2lkIjoiNjNiYWQxYWUtM2VmMS00ZjNhLWEyZjAtYTVjZDQyM2EyMjUwIiwiaWF0IjoxNzg3NjM3Nzc3LCJleHAiOjE3ODc2NjY1Nzd9.8EAakBjZkYDO6wI5zLSxWvn9Yu4KqQ7hr1ekTe9Pf-A",
"tokenType": "Bearer",
"expiresIn": 1800,
"userId": "user-id",
"companyCode": "company-code",
"email": "demo@yopmail.com"
}
}